Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Use Travis CI.

  • Loading branch information...
commit fd8e0916d54e6351e8eb1cd9a091148946d123ba 1 parent ffeff97
@jaredhanson jaredhanson authored
Showing with 13 additions and 4 deletions.
  1. +4 −0 .travis.yml
  2. +1 −1  Makefile
  3. +3 −1 README.md
  4. +5 −2 package.json
View
4 .travis.yml
@@ -0,0 +1,4 @@
+language: "node_js"
+node_js:
+ - 0.4
+ - 0.6
View
2  Makefile
@@ -10,7 +10,7 @@ docs: docs/api.html
docs/api.html: lib/passport-google-oauth/*.js
dox \
--title Passport-Google-OAuth \
- --desc "Google (OAuth 1.0 and OAuth 2.0) authentication strategies for Passport" \
+ --desc "Google (OAuth) authentication strategies for Passport" \
$(shell find lib/passport-google-oauth/* -type f) > $@
docclean:
View
4 README.md
@@ -1,7 +1,7 @@
# Passport-Google-OAuth
[Passport](https://github.com/jaredhanson/passport) strategies for
-authenticating with Google using OAuth 1.0a and OAuth 2.0.
+authenticating with [Google](http://www.google.com/) using OAuth 1.0a and OAuth 2.0.
## Installation
@@ -103,6 +103,8 @@ and the [OAuth 2.0 example](https://github.com/jaredhanson/passport-google-oauth
$ npm install --dev
$ make test
+[![Build Status](https://secure.travis-ci.org/jaredhanson/passport-google-oauth.png)](http://travis-ci.org/jaredhanson/passport-google-oauth)
+
## Credits
- [Jared Hanson](http://github.com/jaredhanson)
View
7 package.json
@@ -1,7 +1,7 @@
{
"name": "passport-google-oauth",
"version": "0.1.2",
- "description": "Google (OAuth 1.0 and OAuth 2.0) authentication strategies for Passport.",
+ "description": "Google (OAuth) authentication strategies for Passport.",
"author": { "name": "Jared Hanson", "email": "jaredhanson@gmail.com", "url": "http://www.jaredhanson.net/" },
"repository": {
"type": "git",
@@ -13,11 +13,14 @@
"main": "./lib/passport-google-oauth",
"dependencies": {
"pkginfo": "0.2.x",
- "passport-oauth": "~0.1.3"
+ "passport-oauth": "~0.1.4"
},
"devDependencies": {
"vows": "0.6.x"
},
+ "scripts": {
+ "test": "NODE_PATH=lib node_modules/.bin/vows test/*-test.js"
+ },
"engines": { "node": ">= 0.4.0" },
"licenses": [ {
"type": "MIT",
Please sign in to comment.
Something went wrong with that request. Please try again.